$space: 0.25rem;

$font-size-xxsmall:  10px;
$font-size-xsmall:   12px;
$font-size-small:    14px;
$font-size-base:     16px;
$font-size-large:    20px;
$font-size-xlarge:   24px;
$font-size-xxlarge:  28px;
$font-size-xxxlarge: 32px;

$line-height: 1.2;
$border-small-radius: 5px;
$border-large-radius: 20px;

$color-body-background: #020101;
$color-text-base: #FFFFFF;
$color-header-background: #1C1C1C;
$color-input-background: #262626;

$color-accent: #C8937D;

%button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: $space * 2;
    padding: $space * 2.5 $space * 5 $space * 2;
    color: var(--color-button-text);
    background-color: var(--color-button-background);
    border-radius: $space * 10;
    text-decoration: none;
    font-family: inherit;
    font-size: inherit;
    cursor: pointer;
    border: none 0;
}

%button-secondary {
    --color-button-background: #FFFFFF;
    --color-button-text: #{$color-body-background};
}

%button-flat {
    --color-button-background: transparent;
    --color-button-text: #{$color-text-base};
}

%button-light {
    --color-button-background: #{$color-input-background};
    --color-button-text: #{$color-text-base};
}
